libfaac0 ABI/API migration?

Bug #181389 reported by John Dong on 2008-01-09
2
Affects Status Importance Assigned to Milestone
avidemux (Ubuntu)
Wishlist
Maia Everett
faac (Ubuntu)
Undecided
Unassigned
ffmpeg (Ubuntu)
Undecided
Unassigned
gst-plugins-bad-multiverse0.10 (Ubuntu)
Undecided
Unassigned
mplayer (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: faac

I uploaded a new faac from debian-multimedia. Murphy's law says that there's probably some ABI or API breakage, so let's rebuild the revdep chain. Furthermore, it's almost the same chain as the x264/mp4v2 one, so might as well.

The version of interest is libfaac-dev (>= 1.26-0.1ubuntu1)

Affected Packages:
avidemux
mplayer
gst-plugins-bad-multiverse
ffmpeg

Maia Everett (linneris) on 2008-01-10
Changed in avidemux:
assignee: nobody → sikon
importance: Undecided → Wishlist
status: New → In Progress
Maia Everett (linneris) wrote :

Debdiff for avidemux to rebuild against the current faac is now waiting at bug #178845.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gst-plugins-bad-multiverse0.10 - 0.10.5-3ubuntu1

---------------
gst-plugins-bad-multiverse0.10 (0.10.5-3ubuntu1) hardy; urgency=low

  * Rebuild against newer libfaac-dev
  * Rebuild against newer libx264-dev
  * LP: #181389

 -- John Dong <email address hidden> Tue, 22 Jan 2008 14:55:03 -0500

Changed in gst-plugins-bad-multiverse0.10:
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package avidemux - 1:2.4.0-0.3ubuntu1

---------------
avidemux (1:2.4.0-0.3ubuntu1) hardy; urgency=low

  * Merged new upstream release from debian-multimedia.org
    (LP: #178845, LP: #180393), remaining Ubuntu changes:
    + debian/control:
      - set maintainer fields per Ubuntu policy.
      - removed libamrnb-dev, not in Ubuntu and most likely
        will never be (due to being proprietary software).
      - build against current libx264-dev (LP: #177082).
      - build against current libfaac-dev (LP: #181389).
      - build-depend on chrpath to strip rpath from avidemux2_qt4.
    + debian/rules: strip rpath from avidemux2_qt4.
    + debian/source.lintian-overrides: re-added.

avidemux (1:2.4.0-0.3) unstable; urgency=low

  * Use configure and make instead of cmake.

avidemux (1:2.4.0-0.2) unstable; urgency=low

  * avidemux-common should replace avidemux.

avidemux (1:2.4.0-0.1) unstable; urgency=low

  * Should Build-Depends on libsamplerate0-dev
  * Upload in unstable.

avidemux (1:2.4.0-0.0) unstable; urgency=low

  * New upstream release.
  * Merge changes from Ubuntu.

 -- Matvey Kozhev <email address hidden> Wed, 23 Jan 2008 14:24:55 +0600

Changed in avidemux:
status: In Progress → Fix Released
Maia Everett (linneris) on 2008-01-26
Changed in mplayer:
status: New → Fix Released
John Dong (jdong) on 2008-01-31
Changed in faac:
status: New → Fix Released
Maia Everett (linneris) wrote :

ffmpeg in Ubuntu doesn't depend on libfaac, so it doesn't need rebuilding.

Changed in ffmpeg:
status: New → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers